Bug 217509 - Need a way to permanently highlight TopComponent tab
Need a way to permanently highlight TopComponent tab
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Stanislav Aubrecht
issues@platform
bugdb_14468526
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 09:11 UTC by Stanislav Aubrecht
Modified: 2012-09-27 18:26 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed API changes (41.24 KB, patch)
2012-08-28 11:24 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2012-08-28 09:11:44 UTC
JDeveloper teams needs a way to permanently highlight TopComponent's tab. There already is TopComponent.requestAttention(boolean) however it makes the tab flash either a couple of times or permanently. The first case is too brief, the second case is too distracting.

I propose adding a new method stopAttention() that would stop the flashing of window and highlight it (using a different background color) permanently until user activates that window.
Comment 1 Stanislav Aubrecht 2012-08-28 11:24:33 UTC
Created attachment 123646 [details]
proposed API changes

I've changed the method to TopComponent.setAttentionHighlight(boolean) and it is independent of requestAttention()/cancelRequestAttention() calls.
Comment 2 Stanislav Aubrecht 2012-08-30 13:03:37 UTC
If there are no comments, I'll integrate the changes tomorrow.
Comment 3 Stanislav Aubrecht 2012-08-31 11:13:48 UTC
core-main 8bbedf3c122d
Comment 4 Quality Engineering 2012-09-02 01:27:35 UTC
Integrated into 'main-golden', will be available in build *201209020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8bbedf3c122d
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #217509 - Need a way to permanently highlight TopComponent tab


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo